Track booking
GET /bookings/v4/track/{id}
GET
/bookings/v4/track/{id}
Returns the current tracking status and history for a confirmed booking.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
integer
Example
12345678Booking ID
Responses
Section titled “ Responses ”Tracking information
object
id
Booking identifier
integer
Example
12345678 status
Current tracking status
string
Example
in_transit connote
Consignment note number
string
Example
ABC123456 courier
Courier identifier
string
Example
allied tracking_url
URL to the tracking page
string format: uri
Example
https://www.transdirect.com.au/tracking/ABC123456 events
Tracking event history (most recent first)
Array<object>
object
date
Date and time of the tracking event
string
Example
2026-02-17 09:00:00 description
Description of the tracking event
string
Example
Picked up from sender location
Location where the event occurred
string
Example
SYDNEY NSW 2000Example
{ "id": 12345678, "status": "in_transit", "connote": "ABC123456", "courier": "allied", "tracking_url": "https://www.transdirect.com.au/tracking/ABC123456", "events": [ { "date": "2026-02-17 09:00:00", "description": "Picked up from sender", "location": "SYDNEY NSW 2000" }, { "date": "2026-02-17 14:30:00", "description": "In transit to destination", "location": "SYDNEY NSW 2000" } ]}Unauthorized
object
error
Error code or type
string
Example
validation_error message
Human-readable error message
string
Example
The sender postcode field is required.Booking not found
object
error
Error code or type
string
Example
validation_error message
Human-readable error message
string
Example
The sender postcode field is required.